package com.sun.xml.internal.ws.message;

import java.util.Iterator;
import com.sun.xml.internal.ws.api.message.Attachment;
import java.util.ArrayList;
import com.sun.xml.internal.ws.api.message.AttachmentSet;

public final class AttachmentSetImpl implements AttachmentSet
{
    private final ArrayList<Attachment> attList;
    
    public AttachmentSetImpl() {
        this.attList = new ArrayList();
    }
    
    public AttachmentSetImpl(Iterable<Attachment> base) {
        this.attList = new ArrayList();
        for (Attachment a : base) {
            this.add(a);
        }
    }
    
    public Attachment get(String contentId) {
        int i = this.attList.size() - 1;
        while (i >= 0) {
            Attachment a = (Attachment)this.attList.get(i);
            if (a.getContentId().equals(contentId)) {
                return a;
            }
            --i;
        }
        return null;
    }
    
    public boolean isEmpty() {
        return this.attList.isEmpty();
    }
    
    public void add(Attachment att) {
        this.attList.add(att);
    }
    
    public Iterator<Attachment> iterator() {
        return this.attList.iterator();
    }
}
